package com.swago.baseswago.model.im

import com.swago.baseswago.im.IGroupNewMsgBean
import com.tencent.imsdk.v2.V2TIMMessage

/**
 *@date 2021/10/23 17:18
 *description:
 */
class CusNewMsgBean<E> : IGroupNewMsgBean {

    var v2TIMMessage: V2TIMMessage? = null
    var data: E? = null
    @JvmField
    var type: Int = 0

    override fun getGroupId(): String {
        return v2TIMMessage!!.groupID
    }

    override fun getType(): Int {
        return type
    }

    override fun getTIMMessage(): V2TIMMessage {
        return v2TIMMessage!!
    }
}